## org.apache.mahout.cf.taste.hadoop
Class EntityPrefWritableArrayWritable

    java.lang.Object
      org.apache.hadoop.io.ArrayWritable
          org.apache.mahout.cf.taste.hadoop.EntityPrefWritableArrayWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public class EntityPrefWritableArrayWritable

extends org.apache.hadoop.io.ArrayWritable

An `ArrayWritable` holding `EntityPrefWritable`s

Constructor Summary
`EntityPrefWritableArrayWritable()`
`EntityPrefWritableArrayWritable(EntityPrefWritable[] prefs)`

Method Summary
`EntityPrefWritable[]` `getPrefs()`

Methods inherited from class org.apache.hadoop.io.ArrayWritable
`get, getValueClass, readFields, set, toArray, toStrings, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityPrefWritableArrayWritable

    public EntityPrefWritableArrayWritable()

### EntityPrefWritableArrayWritable

    public EntityPrefWritableArrayWritable(EntityPrefWritable[] prefs)

Method Detail

### getPrefs

    public EntityPrefWritable[] getPrefs()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.